<?php
require_once('include/MVC/View/views/view.list.php');

class FAK_Wysylka_FakturViewList extends ViewList
{
    public function display()
    {
        $this->module = "FAK_Wysylka_Faktur";
        $this->seed = BeanFactory::getBean($this->module);

        if (!isset($this->lv) || !$this->lv) {
            $this->lv = new ListViewSmarty();
        }

        $orderBy = !empty($_REQUEST['orderBy']) ? $_REQUEST['orderBy'] : 'name';
        $sortOrder = !empty($_REQUEST['sortOrder']) ? $_REQUEST['sortOrder'] : 'ASC';

        $this->params = array(
            'orderBy' => $orderBy,
            'sortOrder' => $sortOrder,
            'overrideOrder' => true,
        );

        $query = "SELECT * FROM aos_invoices WHERE deleted = 0 ORDER BY $orderBy $sortOrder";
        $result = $this->seed->db->query($query);

        $invoices = [];
        while ($row = $this->seed->db->fetchByAssoc($result)) {
            $invoices[] = $row;
        }

        //echo "<pre>";
        //print_r($invoices);
        //echo "</pre>";

        $this->ss->assign('INVOICES', $invoices);

        parent::display();
    }
}
?>
